org.eclipse.microprofile.openapi.annotations.media

## Annotation Type DiscriminatorMapping

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface DiscriminatorMapping

This object maps payload values to a particular Schema.

See Also:
  OpenAPI Specification Discriminator Object

### Optional Element Summary

Optional Elements
`Class<?>` `schema` The schema that is being mapped to a property value
`String` `value` The property value that will be mapped to a Schema

### Element Detail

#### value

    public abstract String value

The property value that will be mapped to a Schema

Returns:
  the property value

Default:
  ""

#### schema

    public abstract Class<?> schema

The schema that is being mapped to a property value

Returns:
  the Schema reference

Default:
  java.lang.Void.class